Bug 55638 - [vmware] 2.4.9-7 kernel unstable
[vmware] 2.4.9-7 kernel unstable
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-03 11:07 EST by John Smith
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-12 14:28:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Smith 2001-11-03 11:07:24 EST
Description of Problem:

The 2.4.9-7 kernel distributed as an update to RH 7.2 is unstable; it has a
tendency to crash during heavy system activity (e.g. running VMware). I
have built a custom version which includes modular ntfs support (no errors
during build, though I noticed some surprising warnings about checksum
mismatches flashing up the screen during the modules build). This version
is even more unstable, and has crashed seven times in two days -- always
when running VMware or rebuilding the locate database. I am also unable to
get any sound from the custom version on my Acer laptop, though I made no
changes to the sound setup.

This instability is seen both on my laptop and on my DAN desktop machine
(though it seems worse on the laptop). Both are i686 machines.

I have been using Linux since 1983 (kernel 0.99 patch level 13), and I have
never seen behaviour like this!


Version-Release number of selected component (if applicable): kernel
2.4.9-7


How Reproducible: not consistently, but very frequently


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information: I can only report this in general terms. If there
are specific tests you would like me to carry out, I shall be happy to do
so.
Comment 1 sahag 2001-11-03 17:00:13 EST
this was already reported many times but RH seems to ingnore it.

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=54931
Comment 2 Arjan van de Ven 2001-11-03 17:04:55 EST
totally different thing, as it doesn't seem that the other bug has VMWare
involved. 

for vmware you NEED the very very latest kernel modules from the vmware website
and with those you have a chance of it working. THe 3.0 beta seems to work
pretty well with newer kernels.... but it's not something that is supported.
Inserting "random" kernel modules that then crash your system... the vendor of
those modules is your best hope of getting things fixed.
Comment 3 John Smith 2001-11-04 09:35:44 EST
I am using the very latest VMware modules (unless they have changed since 
yesterday). Please note that updating the locate database also regularly 
crashes the system -- VMware was never running when this happened, and may well 
not have even been installed on one or two occasions.

I now have a new symptom: on the laptop, on the (less unstable) distributed 
2.4.9-7 kernel without ntfs support, I have now lost all sound. This appears to 
have happened after booting into Windows 2000 and then back into Linux.

I cannot use a system that is so unreliable. I only upgraded to 2.4.9-7 to 
avoid the notional danger of the /usr/bin/newgrp vulnerability, but what I have 
ended up with is far worse. Is the 2.4.7-10 kernel distributed with RH 7.2 more 
stable, or do I have to back off further? (I have upgraded my filesystems from 
ext2 to ext3, so presumably I cannot back off very far.)
Comment 4 Aaron Freed 2001-11-12 14:28:42 EST
I've had pretty good luck with a pair of Tyan Tiger 100 System with dual PIII 
800 MHz and 640 MB RAM running VMWARE.  (One system actually has two 850's and 
only 512 MB RAM, but same mobo.)  The system with the slightly older BIOS (The 
dual 800 with 640 MB) throws a lot of APIC Error 0x2 and Ox4, but that doesn't 
seem to matter.

The kernel is 2.4.10-7 (RH 7.2 Enigma) and VMWARE is 3.0, compiled from the 
TAR sources.  I never enabled the sound (Similar problem to yours the one time 
I tried it).  

Have you tried a clean install and updating your systems' BIOS's to the latest 
version? 

Actually, an EXT3 drive WILL work in an system that supports EXT2.  EXT3 is 
just EXT2 with the Journal files, drivers, and control software added, so EXT3 
drives will work under EXT2 except that the Journal files won't be used (and 
may actually show up on the filesystem, so don't erase or alter them if you 
intend to use the drive in EXT3 again.)


Comment 5 Mike A. Harris 2002-02-13 22:56:52 EST
VMware like other software containing binary only kernel modules,
is not supported by Red Hat.  It is possible that you may be able
to obtain VMware technical support on the VMware website, or from
them directly however.

Note You need to log in before you can comment on or make changes to this bug.